Package org.osgi.framework.connect

# Interface FrameworkUtilHelper

@ConsumerType public interface FrameworkUtilHelper
A helper for the `FrameworkUtil` class.

This helper provides alternative implementations for methods on `FrameworkUtil`.

## Method Summary

Modifier and Type
Method
Description
`default Optional<Bundle>`
`getBundle(Class<?> classFromBundle)`
Returns the `Bundle` associated with the specified class.

## Method Details

### getBundle

default Optional<Bundle> getBundle(Class<?> classFromBundle)
Returns the `Bundle` associated with the specified class.

This helper method is called by `FrameworkUtil.getBundle(Class)` if the standard implementation of `FrameworkUtil` is unable to find the bundle.

Parameters:
  `classFromBundle` - A class associated with a bundle.
Returns:
  An `Optional` containing the `Bundle` for the specified class, or an empty `Optional` if the specified class is not from a bundle.